=== test/Makefile ===
#
#   Copyright 2002 Adrian Thurston <adriant@ragel.ca>
#

#   This file is part of Ragel.
#
#   Ragel is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   Ragel is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with Ragel; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 

SUBDIRS = \
	atoi1 atoi2 awkemu builtin call1 call2 clang concurrent element1 element2 \
	erract1 erract2 erract3 errintrans forder1 forder2 forder3 gotocallret \
	high1 high2 ifaceret1 ifaceret2 keller1 mailbox minimize1 range repetition \
	strings1 strings2

all:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) || exit 1; cd ..; done

test:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) test || exit 1; cd ..; done

clean:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) clean || exit 1; cd ..; done

distclean:
	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) distclean || exit 1; cd ..; done
	rm -f rules.mk
