=== test/atoi1/Makefile ===

PLANG = C++
TEST = atoi1.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk
