=== test/awkemu/Makefile ===

PLANG = C
TEST = awkemu.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk
