=== test/builtin/Makefile ===

PLANG = C
TEST = builtin.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk
