=== test/call1/Makefile ===

PLANG = C
TEST = call1.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk
