=== test/call2/Makefile ===

PLANG = C++
TEST = call2.rl

PFLAGS = 
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk
