=== test/element1/Makefile ===

PLANG = C++
TEST = element1.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk
