=== test/element2/Makefile ===

PLANG = C
TEST = element2.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
LDFLAGS = 
RLFLAGS = 

include ../rules.mk
