## ragel 3.7

=== test/Makefile ===
--- 
+++ 
@@ -19,10 +19,11 @@
 #   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 
 SUBDIRS = \
-	atoi1 atoi2 awkemu builtin call1 call2 clang concurrent element1 element2 \
-	erract1 erract2 erract3 errintrans forder1 forder2 forder3 gotocallret \
-	high1 high2 ifaceret1 ifaceret2 keller1 mailbox minimize1 range repetition \
-	strings1 strings2
+	atoi1 atoi2 awkemu builtin call1 call2 call3 clang1 clang2 concurrent \
+	cppscan1 cppscan2 curs1 curs2 curs3 element1 element2 element3 erract1 \
+	erract2 erract3 erract4 errintrans forder1 forder2 forder3 gotocallret \
+	high1 high2 high3 ifaceret1 ifaceret2 ifaceret3 keller1 mailbox minimize1 \
+	range repetition strings1 strings2 \
 
 all:
 	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) || exit 1; cd ..; done
