=== examples/atoi/Makefile ===
RAGEL = ../../ragel

all: atoi

ps: atoi.ps

atoi: atoi.o
	g++ -g -o atoi atoi.o 

atoi.cpp: atoi.rl $(RAGEL)
	$(RAGEL) -m -G2 -C -o atoi.cpp atoi.rl

atoi.o: atoi.cpp
	g++ -Wall -g -c -O3 -o $@ $<

atoi.ps: atoi.rl $(RAGEL)
	$(RAGEL) -Vm atoi.rl | dot -Tps > atoi.ps

distclean clean:
	rm -Rf *.o atoi.cpp atoi atoi.ps
