=== examples/awkemu/Makefile ===
RAGEL = ../../ragel

all: awkemu

ps: awkemu.ps

awkemu: awkemu.o
	gcc -g -o awkemu awkemu.o

awkemu.c: awkemu.rl $(RAGEL)
	$(RAGEL) -G2 -o awkemu.c awkemu.rl

awkemu.ps: awkemu.rl $(RAGEL)
	$(RAGEL) -Vm awkemu.rl | dot -Tps > awkemu.ps

%.o: %.c
	gcc -Wall -g -c -O3 -o $@ $<

distclean clean:
	rm -Rf *.o awkemu.c awkemu awkemu.ps
