=== examples/clang/Makefile ===
RAGEL = ../../ragel

all: clang

ps: clang.ps

clang: clang.o 
	gcc -g -o clang clang.o

clang.c: clang.rl $(RAGEL)
	$(RAGEL) -G2 -o clang.c clang.rl

clang.ps: clang.rl $(RAGEL)
	$(RAGEL) -Vm clang.rl | dot -Tps > clang.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o clang.c clang clang.ps
