=== examples/concurrent/Makefile ===
RAGEL = ../../ragel

all: concurrent

ps: concurrent.ps

concurrent: concurrent.o
	g++ -g -o concurrent concurrent.o 

concurrent.cpp: concurrent.rl $(RAGEL)
	$(RAGEL) -G2 -C -o concurrent.cpp concurrent.rl

concurrent.ps: concurrent.rl $(RAGEL)
	$(RAGEL) -Vm concurrent.rl | dot -Tps > concurrent.ps

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

distclean clean:
	rm -Rf *.o concurrent.cpp concurrent concurrent.ps
