=== examples/format/Makefile ===
RAGEL = ../../ragel

all: format

ps: format.ps

format: format.o 
	gcc -g -o format format.o

format.c: format.rl $(RAGEL)
	$(RAGEL) -T0 -o format.c format.rl

format.ps: format.rl $(RAGEL)
	$(RAGEL) -Vm format.rl | dot -Tps > format.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o format.c format format.ps
