=== examples/gotocallret/Makefile ===
RAGEL = ../../ragel

all: gotocallret

ps: gotocallret.ps

gotocallret: gotocallret.o
	g++ -g -o gotocallret gotocallret.o 

gotocallret.cpp: gotocallret.rl $(RAGEL)
	$(RAGEL) -m -G2 -C -o gotocallret.cpp gotocallret.rl

gotocallret.o: gotocallret.cpp
	g++ -Wall -g -c -O3 -o $@ $<

gotocallret.ps: gotocallret.rl $(RAGEL)
	$(RAGEL) -Vm gotocallret.rl | dot -Tps > gotocallret.ps

distclean clean:
	rm -Rf *.o gotocallret.cpp gotocallret gotocallret.ps
