=== examples/mailbox/Makefile ===
RAGEL = ../../ragel

all: mailbox

ps: mailbox.ps

mailbox: mailbox.o
	g++ -g -o mailbox mailbox.o 

mailbox.cpp: mailbox.rl $(RAGEL)
	$(RAGEL) -G2 -C -o mailbox.cpp mailbox.rl

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

mailbox.ps: mailbox.rl $(RAGEL)
	$(RAGEL) -Vm mailbox.rl | dot -Tps > mailbox.ps

distclean clean:
	rm -Rf *.o mailbox.cpp mailbox mailbox.ps
