=== examples/params/Makefile ===
RAGEL = ../../ragel

all: params

ps: params.ps

params: params.o 
	gcc -g -o params params.o

params.c: params.rl $(RAGEL)
	$(RAGEL) -m -G2 -o params.c params.rl

params.ps: params.rl $(RAGEL)
	$(RAGEL) -Vm params.rl | dot -Tps > params.ps

%.o: %.c
	gcc -Wall -O3 -g -c -o $@ $<

distclean clean:
	rm -Rf *.o params.c params params.ps
