=== examples/rlscan/Makefile ===
RAGEL = ../../ragel

all: rlscan

ps: rlscan.ps

rlscan: rlscan.o
	g++ -g -o rlscan rlscan.o 

rlscan.cpp: rlscan.rl $(RAGEL)
	$(RAGEL) -G2 -C -o rlscan.cpp rlscan.rl

%.o: %.cpp
	g++ -Wall -g -c -O3 -o $@ $<

rlscan.ps: rlscan.rl $(RAGEL)
	$(RAGEL) -V rlscan.rl | dot -Tps > rlscan.ps

distclean clean:
	rm -Rf *.o rlscan.cpp rlscan rlscan.ps
