## ragel 4.1

=== test/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright 2002 Adrian Thurston <adriant@ragel.ca>
+#   Copyright 2002 Adrian Thurston <thurston@cs.queensu.ca>
 #
 
 #   This file is part of Ragel.
