=== test/atoi3/Makefile ===

PLANG = D
TEST = atoi3.rl

PFLAGS =
DFLAGS = -frelease -O3 -Wall
RLFLAGS = 

include ../rules.mk
