=== test/call3/Makefile ===

PLANG = ObjC
TEST = call3.rl

PFLAGS = 
CFLAGS = -Wall -O3 -fno-strict-aliasing -lobjc
RLFLAGS = 

include ../rules.mk
