=== test/clang2/Makefile ===

PLANG = ObjC
TEST = clang2.rl

PFLAGS = 
CFLAGS = -Wall -O3 -fno-strict-aliasing -lobjc
RLFLAGS = 

include ../rules.mk
