=== test/concurrent/Makefile ===

PLANG = C++
TEST = concurrent.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk
