=== test/cppscan1/Makefile ===

PLANG = C++
TEST = cppscan1.rl

PFLAGS = -I../../aapl
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk
