## ragel 5.7

=== examples/awkemu/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	$(RAGEL) awkemu.rl | $(RLCODEGEN) -V | dot -Tps > awkemu.ps
 
 %.o: %.c
-	gcc -Wall -g -c -O3 -o $@ $<
+	gcc -pedantic -Wall -g -c -O3 -o $@ $<
 
 distclean clean:
 	rm -Rf *.o awkemu.c awkemu awkemu.ps
