=== examples/clang/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	$(RAGEL) clang.rl | $(RLCODEGEN) -V | dot -Tps > clang.ps
 
 %.o: %.c
-	gcc -Wall -O3 -g -c -o $@ $<
+	gcc -pedantic -Wall -O3 -g -c -o $@ $<
 
 distclean clean:
 	rm -Rf *.o clang.c clang clang.ps
