=== examples/cppscan/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-RAGEL = ../../ragel
+RAGEL = ../../ragel/ragel
+RLCODEGEN = ../../rlcodegen/rlcodegen
 FLEX = flex
 RE2C = re2c
 
@@ -17,8 +18,8 @@
 re2c-cppscan: re2c-cppscan.o
 	g++ -g -o $@ $<
 	
-cppscan.cpp: cppscan.rl $(RAGEL)
-	$(RAGEL) -G2 -C -o $@ cppscan.rl
+cppscan.cpp: cppscan.rl $(RAGEL) $(RLCODEGEN)
+	$(RAGEL) cppscan.rl | $(RLCODEGEN) -G2 -C -o $@
 
 lex-cppscan.cpp: cppscan.lex
 	$(FLEX) -f -o $@ $<
@@ -32,8 +33,8 @@
 %.o: %.cpp
 	g++ $(CFLAGS) -c -o $@ $<
 
-cppscan.ps: cppscan.rl $(RAGEL)
-	$(RAGEL) -Vm cppscan.rl | dot -Tps > cppscan.ps
+cppscan.ps: cppscan.rl $(RAGEL) $(RLCODEGEN)
+	$(RAGEL) cppscan.rl | $(RLCODEGEN) -V | dot -Tps > cppscan.ps
 
 distclean clean:
 	rm -Rf *.o cppscan.cpp cppscan cppscan.ps \
