=== test/clang3/Makefile ===

PLANG = D
TEST = clang3.rl

PFLAGS = 
DFLAGS = -frelease -O3 -Wall
RLFLAGS = 

include ../rules.mk
