=== test/cond1/Makefile ===

PLANG = C++
TEST = cond1.rl

PFLAGS =
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk
