=== test/cond2/Makefile ===

PLANG = C++
TEST = cond2.rl

PFLAGS =
CFLAGS = -pedantic -ansi -Wall -O3
RLFLAGS = 

include ../rules.mk
