## ragel 5.14

=== examples/Makefile ===
--- 
+++ 
@@ -20,7 +20,8 @@
 
 
 SUBDIRS = \
-	atoi awkemu clang concurrent format gotocallret mailbox params rlscan statechart
+	atoi awkemu clang concurrent format gotocallret mailbox params rlscan \
+	statechart cppscan
 
 all:
 	@for dir in $(SUBDIRS); do cd $$dir; $(MAKE) || exit 1; cd ..; done
