=== examples/atoi/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o atoi atoi.o 
 
 atoi.cpp: atoi.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) atoi.rl | $(RLCODEGEN) -G2 -C -o atoi.cpp
+	$(RAGEL) atoi.rl | $(RLCODEGEN) -G2 -o atoi.cpp
 
 atoi.o: atoi.cpp
 	g++ -Wall -g -c -O3 -o $@ $<
