=== examples/cppscan/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	g++ -g -o $@ $<
 	
 cppscan.cpp: cppscan.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) cppscan.rl | $(RLCODEGEN) -G2 -C -o $@
+	$(RAGEL) cppscan.rl | $(RLCODEGEN) -G2 -o $@
 
 lex-cppscan.cpp: cppscan.lex
 	$(FLEX) -f -o $@ $<
