=== examples/mailbox/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	g++ -g -o mailbox mailbox.o 
 
 mailbox.cpp: mailbox.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) mailbox.rl | $(RLCODEGEN) -G2 -C -o mailbox.cpp
+	$(RAGEL) mailbox.rl | $(RLCODEGEN) -G2 -o mailbox.cpp
 
 %.o: %.cpp
 	g++ -Wall -g -c -O3 -o $@ $<
