=== examples/rlscan/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o rlscan rlscan.o 
 
 rlscan.cpp: rlscan.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) rlscan.rl | $(RLCODEGEN) -G2 -C -o rlscan.cpp
+	$(RAGEL) rlscan.rl | $(RLCODEGEN) -G2 -o rlscan.cpp
 
 %.o: %.cpp
 	g++ -Wall -g -c -O3 -o $@ $<
