=== examples/statechart/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o statechart statechart.o 
 
 statechart.cpp: statechart.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) statechart.rl | $(RLCODEGEN) -G2 -C -o statechart.cpp
+	$(RAGEL) statechart.rl | $(RLCODEGEN) -G2 -o statechart.cpp
 
 statechart.o: statechart.cpp
 	g++ -Wall -g -c -O3 -o $@ $<
