## ragel 5.16

=== examples/concurrent/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o concurrent concurrent.o 
 
 concurrent.cpp: concurrent.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) concurrent.rl | $(RLCODEGEN) -G2 -C -o concurrent.cpp
+	$(RAGEL) concurrent.rl | $(RLCODEGEN) -G2 -o concurrent.cpp
 
 concurrent.ps: concurrent.rl $(RAGEL) $(RLCODEGEN)
 	$(RAGEL) concurrent.rl | $(RLCODEGEN) -V | dot -Tps > concurrent.ps
