=== examples/gotocallret/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	g++ -g -o gotocallret gotocallret.o 
 
 gotocallret.cpp: gotocallret.rl $(RAGEL) $(RLCODEGEN)
-	$(RAGEL) gotocallret.rl | $(RLCODEGEN) -G2 -C -o gotocallret.cpp
+	$(RAGEL) gotocallret.rl | $(RLCODEGEN) -G2 -o gotocallret.cpp
 
 gotocallret.o: gotocallret.cpp
 	g++ -Wall -g -c -O3 -o $@ $<
