=== debian/control ===
Source: ragel
Section: devel
Priority: optional
Maintainer: Chris Hofstaedtler <zeha@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bison,
 fig2dev,
 flex,
 ghostscript,
 gobjc,
 gperf,
 sharutils,
 texlive,
 texlive-latex-extra,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/adrian-thurston/ragel
Vcs-Git: https://salsa.debian.org/debian/ragel.git
Vcs-Browser: https://salsa.debian.org/debian/ragel.git
X-Style: black

Package: ragel
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: compiles finite state machines into code in various languages
 Ragel compiles finite state machines from regular languages into C, C++,
 Objective-C, D, Ruby or Java code. Ragel allows the programmer to embed
 actions at any point in a regular language. Non-determinism can be
 controlled through the use of embedded priorities and guarded regular
 language operators. Ragel also supports the construction of scanners and
 the building of state machines using state-charts. Ragel can be used to
 create robust recognizers and parsers which run very fast. It can work
 with integer-sized alphabets and can compile large state machines.
 The generated code has no dependencies.
