=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-manual

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=doc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-stamp Makefile config.log config.status test/Makefile test/runtests aapl/Makefile contrib/Makefile doc/Makefile doc/ragel.1 ragel/.deps ragel/Makefile ragel/config.h ragel/stamp-h1 doc/ragel-guide.pdf

override_dh_install:
	dh_install
	dh_install ragel.vim /usr/share/vim/addons/syntax/
	dh_install debian/ragel.yaml /usr/share/vim/registry/

override_dh_installexamples:
	make -C $(CURDIR)/examples distclean
	dh_installexamples

override_dh_installdocs:
	dh_installdocs -n
	dh_installdocs -n doc/ragel-guide.pdf

override_dh_compress:
	dh_compress -Xexamples
